// pages/exchange-detail/exchange-detail.js
import {
  getMpMemberCompaignsActivityAndRewardDetail
} from '../../../../services/index.js';
Page({

  /**
   * 页面的初始数据
   */
  data: {
    hasShare:true
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    /* 
      @member_campaigns_id 兑换订单ID
     */
    if (options.type) {
      this.setData({
        type: options.type
      })
    }
    getMpMemberCompaignsActivityAndRewardDetail({
      user_id: wx.getStorageSync('user_id'),
      user_token: wx.getStorageSync('user_token'),
      member_id: wx.getStorageSync('member_id'),
      member_campaigns_id: options.id
    }).then(res => {
      if (res.errcode === 0) {
        this.setData(res.data)
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },
})